[Tutorial] Inyectar payloads con Mac OS X.

Buenas, me podríais echar una mano a decirme cómo se instala fluffy desde cero en en macOS Mojave? lo he intentado pero no sé muy bien como empezar, tengo ya instalado Python y consigo inyectar el payload tal como explicabais en el post, un saludo y gracias de antemano.
Wenas!.

@adrian090287 : Si has seguido el tutorial de este hilo ya lo tienes casi todo hecho. Abre una terminal y teclea lo siguiente:

pip3 install pyusb pyqt5 libusb libusb1 qdarkstyle configparser

A continuación descarga Fluffy y ejecútalo desde su ubicación con:

python3 fluffy.pyw


Un saludo!.
devnull_77 escribió:Wenas!.

@adrian090287 : Si has seguido el tutorial de este hilo ya lo tienes casi todo hecho. Abre una terminal y teclea lo siguiente:

pip3 install pyusb pyqt5 libusb libusb1 qdarkstyle configparser

A continuación descarga Fluffy y ejecútalo desde su ubicación con:

python3 fluffy.pyw


Un saludo!.


Buenas me puedes indicar donde descargar Fluffy 1.4.1 un saludo y gracias.
Wenas!.

@adrian090287 : En Mojave debería irte bien la última versión, aquí tienes el link con todas las versiones lanzadas:

Fluffy Releases

Un saludo!.
@devnull_77

Muchas gracias bro!!!!!

Pues ya lo tengo todo completo, ya puedo inyectar el payload y utilizo flufy para pasar los NSP por usb, lo que si es que si lo intento pasar con fuffly y goldleaf me peta, pero con tinfoil si va.

Para los que les sirva y como yo que estaba perdido leerse el post que os servirá.

PD: utilizo macOS Mojave, python, en switch el cfw de Reinx en 6.2 y tinfoil.

Un saludo y muchas gracias por la ayuda, espero que para futuras actualizaciones siga funcionando y si no pues me pasare por aquí.
adrian090287 escribió:@devnull_77

Muchas gracias bro!!!!!

Para eso estamos!. [beer]

SalU2!.
HOla,

Tengo un mac con yosemite y un dongle. Que version de phyton tendria que descargar para que funcione?

Goldtree funciona con esta version?
Wenas!.

peorno escribió:Tengo un mac con yosemite y un dongle. Que version de phyton tendria que descargar para que funcione?

Yo te recomiendo que instales Homebrew y que luego instales Python con éste, así se instalará la versión de Python más reciente y adecuada para Yosemite, para ello sigue el tutorial saltándote el punto 2, tras realizar el punto 3 y antes de realizar el punto 4 tienes que escribir desde la terminal:

brew install python3

El punto 6 no es necesario en tu caso ya que usas dongle.

peorno escribió:Goldtree funciona con esta version?

Ni idea, nunca he usado Goldtree ni tengo un Mac con Yosemite a mano para hacer la prueba, te tocará hacerlo a ti. Como ya te he comentado por privado, yo probaría (en este orden):

1.- Versión antigua de Fluffy (1.4.1 o inferior). En esta página tienes las instrucciones.
2.- AluminunFoil (en la página 4 de este hilo tienes las instrucciones).
3.- Goldtree, por si las moscas.

P.D: Reporta resultados, así ayudarás a otros compañeros.

SalU2!.
@peorno si finalmente optas por goldtree, lee mi comentario de la página 5, donde indico como usarlo. Casi seguro que sí funciona en Yosemite. Aunque como te han dicho, prueba primero fluffy 1.4.1.
devnull_77 escribió:Wenas!.

peorno escribió:Tengo un mac con yosemite y un dongle. Que version de phyton tendria que descargar para que funcione?

Yo te recomiendo que instales Homebrew y que luego instales Python con éste, así se instalará la versión de Python más reciente y adecuada para Yosemite, para ello sigue el tutorial saltándote el punto 2, tras realizar el punto 3 y antes de realizar el punto 4 tienes que escribir desde la terminal:

brew install python3

El punto 6 no es necesario en tu caso ya que usas dongle.

peorno escribió:Goldtree funciona con esta version?

Ni idea, nunca he usado Goldtree ni tengo un Mac con Yosemite a mano para hacer la prueba, te tocará hacerlo a ti. Como ya te he comentado por privado, yo probaría (en este orden):

1.- Versión antigua de Fluffy (1.4.1 o inferior). En esta página tienes las instrucciones.
2.- AluminunFoil (en la página 4 de este hilo tienes las instrucciones).
3.- Goldtree, por si las moscas.

P.D: Reporta resultados, así ayudarás a otros compañeros.

SalU2!.

Hola estoy en ello, al instalar fluffy
Command "python setup.py egg_info" failed with error code 1 in /private/var/folders/cl/scx3y94j4_lfcnrpr_ygt_h00000gn/T/pip-install-xun2hnyc/libusb/
You are using pip version 18.1, however version 19.0.3 is available.
You should consider upgrading via the 'pip install --upgrade pip' command.

y al ejecutar el segundo comando

python3 fluffy.pyw
/Library/Frameworks/Python.framework/Versions/3.7/Resources/Python.app/Contents/MacOS/Python: can't open file 'fluffy.pyw': [Errno 2] No such file or directory



EDITO. Después de estos errores trasteando. El fluffy.pyw le he dado botón derecho abrir con phyton launcher. he metido python3 fluffy.pyw y sorprendentemente me ha abirto fluffy y he abierto tinfoil 0.2.1 que es el que tengo y me ha instalado juegos y detectado no se como... increíble pero cierto. me instala¡¡
Solamente podemos usar fluffy 1.4.1? Habra problemas si no usamos la futuras actualizaciones?

@dark_foot Gold tree arranco de la misma forma ejecuto el segundo comando pongo el nombre del nos y no arranca la instalación.

Mil gracias¡¡
@peorno me alegro de que hayas hecho funcionar fluffy! Teniendo ese no te hace falta goldtree.

Lo de fluffy dijo el creador que no tenia mac para probar, así que tiene pinta de que por ahora no va a solucionar el problema de compatibilidad con versiones antiguas de Mac OSX. Yo seguiré usando 1.4.1, y ya veremos si sale alguna otra herramienta en el futuro.
Wenas!.

@peorno : El primer error se debe a que tienes que actualizar pip y te da la instrucción necesaria para hacerlo, el segundo es que no encuentra Fluffy, debes ejecutar la instrucción indicando donde está Fluffy, por ejemplo, si tienes Fluffy en la carpeta "Descargas" la instrucción correcta sería:

python3 ~/Downloads/Fluffy.pyw


P.D: Me alegro que al final lo hayas hecho funcionar. ;)

SalU2!.
devnull_77 escribió:Wenas!.

@peorno : El primer error se debe a que tienes que actualizar pip y te da la instrucción necesaria para hacerlo, el segundo es que no encuentra Fluffy, debes ejecutar la instrucción indicando donde está Fluffy, por ejemplo, si tienes Fluffy en la carpeta "Descargas" la instrucción correcta sería:

python3 ~/Downloads/Fluffy.pyw


P.D: Me alegro que al final lo hayas hecho funcionar. ;)

SalU2!.

Pero da error y funciona. No lo entiendo..

Funciona en 7.1?
Buenas a todos, ¿ Sabeis si sigue funcionando Flyffly y este sistema de instalar payload mediante comandos con el nuevo cfw 7.1 de Reinx y Atmosphere?. Estoy en cfw 6.2 y me da un poco de miedo subir no vaya a ser que no valga.

Un saludo y gracias de antemano.
Han sacado ya algo para mac para inyectar payloads sin toda esta movida?
Revocool escribió:Han sacado ya algo para mac para inyectar payloads sin toda esta movida?

por supuesto, haz lo que yo:

https://fusee-gelee.firebaseapp.com/

funciona con chrome en macos. En windows no va, y en otros navegadores creo q tp, se necesita una función WEBUSB propia de chrome.

Pon la consola en RCM conectado al mac, en la web le das a other payload, subes tu bin y lo envías, seleccionas APX en lo q te sale e ya.

Creo que tb funciona con moviles android si quereis probar.
66 respuestas
1, 2